import express, { json, Router } from "express";
import cors from "cors";
import "express-async-errors";
import { handleError, ValidationError } from "./utils/errors";
import rateLimit from "express-rate-limit";
import { advRouter } from "./routers/adv.router";
import { config } from "./config/config";

const app = express();

app.use(
  cors({
    origin: config.corsOrigin,
  })
);
app.use(json());
app.use(
  rateLimit({
    windowMs: 5 * 60 * 1000, // 15minutes
    max: 100, // Limkit each IP to 100 requests per 'window' (here is 15minutes)
  })
);

// Routes
const router = Router();
router.use;
// app.use("/adv", advRouter);
router.use("/adv", advRouter);
app.use("/api", router);

app.use(handleError);

const port = 3001;

app.listen(port, "0.0.0.0", () => {
  console.log(`Listening on port http://localhost:${port}`);
});
