import { Router } from "express";
import { AdvRecord } from "../records/adv.record";

export const advRouter = Router()
  .get("/search/:name?", async (req, res) => {
    const adv = await AdvRecord.findAll(req.params.name ?? "");

    res.json(adv);
  })
  .get("/:id", async (req, res) => {
    const adv = await AdvRecord.getOne(req.params.id);
    res.json(adv);
  })
  .post("/", async (req, res) => {
    const adv = new AdvRecord(req.body);
    await adv.insert();
    res.json(adv);
  });
